Package com.independentsoft.office.drawing.extensions

# Class Classification

java.lang.Object
com.independentsoft.office.drawing.extensions.Classification

All Implemented Interfaces:
  `IExtensionContent`

public class Classification extends Object implements IExtensionContent
Represents the classification-shape extension (`aclsh:classification`) that marks a shape as the outcome of a sensitivity classification (uri `{5AE41FA2-C0FF-4470-9BD4-5FADCA87CBE2}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Classification()`
  Instantiates a new classification.
  `Classification​(InternalXMLStreamReader reader)`
  Instantiates a new classification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getClassificationOutcomeType()`
  Gets the classification outcome type.
  `void`
  `setClassificationOutcomeType​(String classificationOutcomeType)`
  Sets the classification outcome type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Classification

    public Classification()
    Instantiates a new classification.

  - ### Classification

    public Classification​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new classification.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getClassificationOutcomeType

    public String getClassificationOutcomeType()
    Gets the classification outcome type.
    Returns:
      the classification outcome type

  - ### setClassificationOutcomeType

    public void setClassificationOutcomeType​(String classificationOutcomeType)
    Sets the classification outcome type.
    Parameters:
      `classificationOutcomeType` - the new classification outcome type